org.eclipse.rdf4j.http.server.repository

## Class BooleanQueryResultView

- java.lang.Object
- - org.eclipse.rdf4j.http.server.repository.QueryResultView
  - - org.eclipse.rdf4j.http.server.repository.BooleanQueryResultView

- All Implemented Interfaces:
    org.springframework.web.servlet.View

      public class BooleanQueryResultView
      extends QueryResultView

  View used to render boolean query results. Renders results in a format specified using a parameter or Accept header.
  Author:
    Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.http.server.repository.QueryResultView

      `CONNECTION_KEY, FACTORY_KEY, FILENAME_HINT_KEY, HEADERS_ONLY, QUERY_RESULT_KEY`

    - ### Fields inherited from interface org.springframework.web.servlet.View

      `PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()`
    `static BooleanQueryResultView` | `getInstance()`
    `protected void` | `renderInternal(Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class org.eclipse.rdf4j.http.server.repository.QueryResultView

      `logEndOfRequest, render, setContentDisposition, setContentType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static BooleanQueryResultView getInstance()

    - #### getContentType

          public String getContentType()

    - #### renderInternal

          protected void renderInternal(Map model,
                                        javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)
                                 throws IOException

      Specified by:
        `renderInternal` in class `QueryResultView`
      Throws:
        `IOException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.